Subject: bug#20643: 24.5; Please improve documentation of `pcase-let'

From: Stefan Monnier <[email-masked]>
Date: Sun, 21 Jun 2015 21:23:47 -0400

> Thanks. Though I think it would be better to be more defensive and
> guarantee to raise a signal in the case of a mismatch.

If you want that, you need to use pcase, or pcase-exclusive.

This is a judgment call, but it lets pcase-let generate significantly
shorter and more efficient code and hence better serve the expected
common case.

        Stefan